import request from '@/utils/request'

export function drug_list(query) {
  return request({
    url: '/system/business/drug/list',
    method: 'get',
    params: query
  })
}

export function drug_info(query) {
  return request({
    url: '/system/business/drug/info',
    method: 'get',
    params: query
  })
}

export function drug_save(data) {
  return request({
    url: '/system/business/drug/save',
    method: 'post',
    data: data
  })
}

export function drug_delete(data) {
  return request({
    url: '/system/business/drug/delete',
    method: 'post',
    data: data
  })
}

export function drug_jcgjList(query) {
  return request({
    url: '/system/business/drug/jcgjList',
    method: 'get',
    params: query
  })
}

export function drug_gd(data) {
  return request({
    url: '/system/business/drug/gd',
    method: 'post',
    data: data
  })
}
export function drug_checkSd(data) {
  return request({
    url: '/system/business/drug/checkSd',
    method: 'post',
    data: data
  })
}
export function drug_sd(data) {
  return request({
    url: '/system/business/drug/sd',
    method: 'post',
    data: data
  })
}
export function drug_js(data) {
  return request({
    url: '/system/business/drug/js',
    method: 'post',
    data: data
  })
}
export function drug_jd(data) {
  return request({
    url: '/system/business/drug/jd',
    method: 'post',
    data: data
  })
}
export function drug_jy(data) {
  return request({
    url: '/system/business/drug/jy',
    method: 'post',
    data: data
  })
}
